package com.mortals.xhx.module.pj.model;

import java.util.List;
import com.mortals.xhx.module.pj.model.PjEvaluateStatEntity;
/**
 * 评价汇总统计查询对象
 *
 * @author zxfei
 * @date 2024-06-24
 */
public class PjEvaluateStatQuery extends PjEvaluateStatEntity {
    /** 开始 ID */
    private Long idStart;

    /** 结束 ID */
    private Long idEnd;

    /** 增加 ID */
    private Long idIncrement;

    /** ID列表 */
    private List <Long> idList;

    /** ID排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点编码 */
    private List<String> siteCodeList;

    /** 站点编码排除列表 */
    private List <String> siteCodeNotList;
    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 部门 */
    private List<String> sectionNameList;

    /** 部门排除列表 */
    private List <String> sectionNameNotList;
    /** 评价选项(非常满意,满意,基本满意,不满意,非常不满意) */
    private List<String> pjOptionList;

    /** 评价选项(非常满意,满意,基本满意,不满意,非常不满意)排除列表 */
    private List <String> pjOptionNotList;
    /** 窗口编号 */
    private List<String> windowFromnumList;

    /** 窗口编号排除列表 */
    private List <String> windowFromnumNotList;
    /** 大厅名称 */
    private List<String> hallNameList;

    /** 大厅名称排除列表 */
    private List <String> hallNameNotList;
    /** 开始 评价数量 */
    private Integer pjCountStart;

    /** 结束 评价数量 */
    private Integer pjCountEnd;

    /** 增加 评价数量 */
    private Integer pjCountIncrement;

    /** 评价数量列表 */
    private List <Integer> pjCountList;

    /** 评价数量排除列表 */
    private List <Integer> pjCountNotList;

    /** 开始 年 */
    private Integer yearStart;

    /** 结束 年 */
    private Integer yearEnd;

    /** 增加 年 */
    private Integer yearIncrement;

    /** 年列表 */
    private List <Integer> yearList;

    /** 年排除列表 */
    private List <Integer> yearNotList;

    /** 开始 月 */
    private Integer monthStart;

    /** 结束 月 */
    private Integer monthEnd;

    /** 增加 月 */
    private Integer monthIncrement;

    /** 月列表 */
    private List <Integer> monthList;

    /** 月排除列表 */
    private List <Integer> monthNotList;

    /** 开始 日 */
    private Integer dayStart;

    /** 结束 日 */
    private Integer dayEnd;

    /** 增加 日 */
    private Integer dayIncrement;

    /** 日列表 */
    private List <Integer> dayList;

    /** 日排除列表 */
    private List <Integer> dayNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PjEvaluateStatQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PjEvaluateStatQuery> andConditionList;

    public PjEvaluateStatQuery(){}

    /**
     * 获取 开始 ID
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 ID
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 ID
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 ID
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 ID
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 ID
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 ID
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 ID
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 ID
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 ID
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点Id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点Id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点Id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点Id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点Id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点编码
     * @return siteCodeList
     */
    public List<String> getSiteCodeList(){
        return this.siteCodeList;
    }

    /**
     * 设置 站点编码
     * @param siteCodeList
     */
    public void setSiteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
    }

    /**
     * 获取 站点编码
     * @return siteCodeNotList
     */
    public List<String> getSiteCodeNotList(){
        return this.siteCodeNotList;
    }

    /**
     * 设置 站点编码
     * @param siteCodeNotList
     */
    public void setSiteCodeNotList(List<String> siteCodeNotList){
        this.siteCodeNotList = siteCodeNotList;
    }

    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 部门
     * @return sectionNameList
     */
    public List<String> getSectionNameList(){
        return this.sectionNameList;
    }

    /**
     * 设置 部门
     * @param sectionNameList
     */
    public void setSectionNameList(List<String> sectionNameList){
        this.sectionNameList = sectionNameList;
    }

    /**
     * 获取 部门
     * @return sectionNameNotList
     */
    public List<String> getSectionNameNotList(){
        return this.sectionNameNotList;
    }

    /**
     * 设置 部门
     * @param sectionNameNotList
     */
    public void setSectionNameNotList(List<String> sectionNameNotList){
        this.sectionNameNotList = sectionNameNotList;
    }

    /**
     * 获取 评价选项(非常满意,满意,基本满意,不满意,非常不满意)
     * @return pjOptionList
     */
    public List<String> getPjOptionList(){
        return this.pjOptionList;
    }

    /**
     * 设置 评价选项(非常满意,满意,基本满意,不满意,非常不满意)
     * @param pjOptionList
     */
    public void setPjOptionList(List<String> pjOptionList){
        this.pjOptionList = pjOptionList;
    }

    /**
     * 获取 评价选项(非常满意,满意,基本满意,不满意,非常不满意)
     * @return pjOptionNotList
     */
    public List<String> getPjOptionNotList(){
        return this.pjOptionNotList;
    }

    /**
     * 设置 评价选项(非常满意,满意,基本满意,不满意,非常不满意)
     * @param pjOptionNotList
     */
    public void setPjOptionNotList(List<String> pjOptionNotList){
        this.pjOptionNotList = pjOptionNotList;
    }

    /**
     * 获取 窗口编号
     * @return windowFromnumList
     */
    public List<String> getWindowFromnumList(){
        return this.windowFromnumList;
    }

    /**
     * 设置 窗口编号
     * @param windowFromnumList
     */
    public void setWindowFromnumList(List<String> windowFromnumList){
        this.windowFromnumList = windowFromnumList;
    }

    /**
     * 获取 窗口编号
     * @return windowFromnumNotList
     */
    public List<String> getWindowFromnumNotList(){
        return this.windowFromnumNotList;
    }

    /**
     * 设置 窗口编号
     * @param windowFromnumNotList
     */
    public void setWindowFromnumNotList(List<String> windowFromnumNotList){
        this.windowFromnumNotList = windowFromnumNotList;
    }

    /**
     * 获取 大厅名称
     * @return hallNameList
     */
    public List<String> getHallNameList(){
        return this.hallNameList;
    }

    /**
     * 设置 大厅名称
     * @param hallNameList
     */
    public void setHallNameList(List<String> hallNameList){
        this.hallNameList = hallNameList;
    }

    /**
     * 获取 大厅名称
     * @return hallNameNotList
     */
    public List<String> getHallNameNotList(){
        return this.hallNameNotList;
    }

    /**
     * 设置 大厅名称
     * @param hallNameNotList
     */
    public void setHallNameNotList(List<String> hallNameNotList){
        this.hallNameNotList = hallNameNotList;
    }

    /**
     * 获取 开始 评价数量
     * @return pjCountStart
     */
    public Integer getPjCountStart(){
        return this.pjCountStart;
    }

    /**
     * 设置 开始 评价数量
     * @param pjCountStart
     */
    public void setPjCountStart(Integer pjCountStart){
        this.pjCountStart = pjCountStart;
    }

    /**
     * 获取 结束 评价数量
     * @return $pjCountEnd
     */
    public Integer getPjCountEnd(){
        return this.pjCountEnd;
    }

    /**
     * 设置 结束 评价数量
     * @param pjCountEnd
     */
    public void setPjCountEnd(Integer pjCountEnd){
        this.pjCountEnd = pjCountEnd;
    }

    /**
     * 获取 增加 评价数量
     * @return pjCountIncrement
     */
    public Integer getPjCountIncrement(){
        return this.pjCountIncrement;
    }

    /**
     * 设置 增加 评价数量
     * @param pjCountIncrement
     */
    public void setPjCountIncrement(Integer pjCountIncrement){
        this.pjCountIncrement = pjCountIncrement;
    }

    /**
     * 获取 评价数量
     * @return pjCountList
     */
    public List<Integer> getPjCountList(){
        return this.pjCountList;
    }

    /**
     * 设置 评价数量
     * @param pjCountList
     */
    public void setPjCountList(List<Integer> pjCountList){
        this.pjCountList = pjCountList;
    }

    /**
     * 获取 评价数量
     * @return pjCountNotList
     */
    public List<Integer> getPjCountNotList(){
        return this.pjCountNotList;
    }

    /**
     * 设置 评价数量
     * @param pjCountNotList
     */
    public void setPjCountNotList(List<Integer> pjCountNotList){
        this.pjCountNotList = pjCountNotList;
    }


    /**
     * 获取 开始 年
     * @return yearStart
     */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
     * 设置 开始 年
     * @param yearStart
     */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
     * 获取 结束 年
     * @return $yearEnd
     */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
     * 设置 结束 年
     * @param yearEnd
     */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
     * 获取 增加 年
     * @return yearIncrement
     */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
     * 设置 增加 年
     * @param yearIncrement
     */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
     * 获取 年
     * @return yearList
     */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
     * 设置 年
     * @param yearList
     */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
     * 获取 年
     * @return yearNotList
     */
    public List<Integer> getYearNotList(){
        return this.yearNotList;
    }

    /**
     * 设置 年
     * @param yearNotList
     */
    public void setYearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
    }


    /**
     * 获取 开始 月
     * @return monthStart
     */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
     * 设置 开始 月
     * @param monthStart
     */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
     * 获取 结束 月
     * @return $monthEnd
     */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
     * 设置 结束 月
     * @param monthEnd
     */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
     * 获取 增加 月
     * @return monthIncrement
     */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
     * 设置 增加 月
     * @param monthIncrement
     */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
     * 获取 月
     * @return monthList
     */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
     * 设置 月
     * @param monthList
     */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
     * 获取 月
     * @return monthNotList
     */
    public List<Integer> getMonthNotList(){
        return this.monthNotList;
    }

    /**
     * 设置 月
     * @param monthNotList
     */
    public void setMonthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
    }


    /**
     * 获取 开始 日
     * @return dayStart
     */
    public Integer getDayStart(){
        return this.dayStart;
    }

    /**
     * 设置 开始 日
     * @param dayStart
     */
    public void setDayStart(Integer dayStart){
        this.dayStart = dayStart;
    }

    /**
     * 获取 结束 日
     * @return $dayEnd
     */
    public Integer getDayEnd(){
        return this.dayEnd;
    }

    /**
     * 设置 结束 日
     * @param dayEnd
     */
    public void setDayEnd(Integer dayEnd){
        this.dayEnd = dayEnd;
    }

    /**
     * 获取 增加 日
     * @return dayIncrement
     */
    public Integer getDayIncrement(){
        return this.dayIncrement;
    }

    /**
     * 设置 增加 日
     * @param dayIncrement
     */
    public void setDayIncrement(Integer dayIncrement){
        this.dayIncrement = dayIncrement;
    }

    /**
     * 获取 日
     * @return dayList
     */
    public List<Integer> getDayList(){
        return this.dayList;
    }

    /**
     * 设置 日
     * @param dayList
     */
    public void setDayList(List<Integer> dayList){
        this.dayList = dayList;
    }

    /**
     * 获取 日
     * @return dayNotList
     */
    public List<Integer> getDayNotList(){
        return this.dayNotList;
    }

    /**
     * 设置 日
     * @param dayNotList
     */
    public void setDayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  ID
     * @param id
     */
    public PjEvaluateStatQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 ID
     * @param idStart
     */
    public PjEvaluateStatQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 ID
     * @param idEnd
     */
    public PjEvaluateStatQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 ID
     * @param idIncrement
     */
    public PjEvaluateStatQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 ID
     * @param idList
     */
    public PjEvaluateStatQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 ID
     * @param idNotList
     */
    public PjEvaluateStatQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点Id
     * @param siteId
     */
    public PjEvaluateStatQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public PjEvaluateStatQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public PjEvaluateStatQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public PjEvaluateStatQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public PjEvaluateStatQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public PjEvaluateStatQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点编码
     * @param siteCode
     */
    public PjEvaluateStatQuery siteCode(String siteCode){
        setSiteCode(siteCode);
        return this;
    }

    /**
     * 设置 站点编码
     * @param siteCodeList
     */
    public PjEvaluateStatQuery siteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public PjEvaluateStatQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public PjEvaluateStatQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }


    /**
     * 设置 部门
     * @param sectionName
     */
    public PjEvaluateStatQuery sectionName(String sectionName){
        setSectionName(sectionName);
        return this;
    }

    /**
     * 设置 部门
     * @param sectionNameList
     */
    public PjEvaluateStatQuery sectionNameList(List<String> sectionNameList){
        this.sectionNameList = sectionNameList;
        return this;
    }


    /**
     * 设置 评价选项(非常满意,满意,基本满意,不满意,非常不满意)
     * @param pjOption
     */
    public PjEvaluateStatQuery pjOption(String pjOption){
        setPjOption(pjOption);
        return this;
    }

    /**
     * 设置 评价选项(非常满意,满意,基本满意,不满意,非常不满意)
     * @param pjOptionList
     */
    public PjEvaluateStatQuery pjOptionList(List<String> pjOptionList){
        this.pjOptionList = pjOptionList;
        return this;
    }


    /**
     * 设置 窗口编号
     * @param windowFromnum
     */
    public PjEvaluateStatQuery windowFromnum(String windowFromnum){
        setWindowFromnum(windowFromnum);
        return this;
    }

    /**
     * 设置 窗口编号
     * @param windowFromnumList
     */
    public PjEvaluateStatQuery windowFromnumList(List<String> windowFromnumList){
        this.windowFromnumList = windowFromnumList;
        return this;
    }


    /**
     * 设置 大厅名称
     * @param hallName
     */
    public PjEvaluateStatQuery hallName(String hallName){
        setHallName(hallName);
        return this;
    }

    /**
     * 设置 大厅名称
     * @param hallNameList
     */
    public PjEvaluateStatQuery hallNameList(List<String> hallNameList){
        this.hallNameList = hallNameList;
        return this;
    }

    /**
     * 设置  评价数量
     * @param pjCount
     */
    public PjEvaluateStatQuery pjCount(Integer pjCount){
        setPjCount(pjCount);
        return this;
    }

    /**
     * 设置 开始 评价数量
     * @param pjCountStart
     */
    public PjEvaluateStatQuery pjCountStart(Integer pjCountStart){
        this.pjCountStart = pjCountStart;
        return this;
    }

    /**
     * 设置 结束 评价数量
     * @param pjCountEnd
     */
    public PjEvaluateStatQuery pjCountEnd(Integer pjCountEnd){
        this.pjCountEnd = pjCountEnd;
        return this;
    }

    /**
     * 设置 增加 评价数量
     * @param pjCountIncrement
     */
    public PjEvaluateStatQuery pjCountIncrement(Integer pjCountIncrement){
        this.pjCountIncrement = pjCountIncrement;
        return this;
    }

    /**
     * 设置 评价数量
     * @param pjCountList
     */
    public PjEvaluateStatQuery pjCountList(List<Integer> pjCountList){
        this.pjCountList = pjCountList;
        return this;
    }

    /**
     * 设置 评价数量
     * @param pjCountNotList
     */
    public PjEvaluateStatQuery pjCountNotList(List<Integer> pjCountNotList){
        this.pjCountNotList = pjCountNotList;
        return this;
    }

    /**
     * 设置  年
     * @param year
     */
    public PjEvaluateStatQuery year(Integer year){
        setYear(year);
        return this;
    }

    /**
     * 设置 开始 年
     * @param yearStart
     */
    public PjEvaluateStatQuery yearStart(Integer yearStart){
        this.yearStart = yearStart;
        return this;
    }

    /**
     * 设置 结束 年
     * @param yearEnd
     */
    public PjEvaluateStatQuery yearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
        return this;
    }

    /**
     * 设置 增加 年
     * @param yearIncrement
     */
    public PjEvaluateStatQuery yearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
        return this;
    }

    /**
     * 设置 年
     * @param yearList
     */
    public PjEvaluateStatQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
        return this;
    }

    /**
     * 设置 年
     * @param yearNotList
     */
    public PjEvaluateStatQuery yearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
        return this;
    }

    /**
     * 设置  月
     * @param month
     */
    public PjEvaluateStatQuery month(Integer month){
        setMonth(month);
        return this;
    }

    /**
     * 设置 开始 月
     * @param monthStart
     */
    public PjEvaluateStatQuery monthStart(Integer monthStart){
        this.monthStart = monthStart;
        return this;
    }

    /**
     * 设置 结束 月
     * @param monthEnd
     */
    public PjEvaluateStatQuery monthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
        return this;
    }

    /**
     * 设置 增加 月
     * @param monthIncrement
     */
    public PjEvaluateStatQuery monthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
        return this;
    }

    /**
     * 设置 月
     * @param monthList
     */
    public PjEvaluateStatQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
        return this;
    }

    /**
     * 设置 月
     * @param monthNotList
     */
    public PjEvaluateStatQuery monthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
        return this;
    }

    /**
     * 设置  日
     * @param day
     */
    public PjEvaluateStatQuery day(Integer day){
        setDay(day);
        return this;
    }

    /**
     * 设置 开始 日
     * @param dayStart
     */
    public PjEvaluateStatQuery dayStart(Integer dayStart){
        this.dayStart = dayStart;
        return this;
    }

    /**
     * 设置 结束 日
     * @param dayEnd
     */
    public PjEvaluateStatQuery dayEnd(Integer dayEnd){
        this.dayEnd = dayEnd;
        return this;
    }

    /**
     * 设置 增加 日
     * @param dayIncrement
     */
    public PjEvaluateStatQuery dayIncrement(Integer dayIncrement){
        this.dayIncrement = dayIncrement;
        return this;
    }

    /**
     * 设置 日
     * @param dayList
     */
    public PjEvaluateStatQuery dayList(List<Integer> dayList){
        this.dayList = dayList;
        return this;
    }

    /**
     * 设置 日
     * @param dayNotList
     */
    public PjEvaluateStatQuery dayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public PjEvaluateStatQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public PjEvaluateStatQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public PjEvaluateStatQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public PjEvaluateStatQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public PjEvaluateStatQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public PjEvaluateStatQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<PjEvaluateStatQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<PjEvaluateStatQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<PjEvaluateStatQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<PjEvaluateStatQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}